%define _requires_exceptions devel(libnspr4\\|devel(libplc4\\|devel(libplds4

%define real_version	1.8.5
%define mozilla_version 1.0.0
%define short_version	185

%define oname		mozjs
%define major		1.0
%define	libname		%mklibname %{oname} %{short_version} %{major}
%define	develname	%mklibname %{oname} %{short_version} -d

Summary:	SpiderMonkey, the Mozilla JavaScript engine
Name:		js
Version:	1.85
Release:	%mkrel 3
License:	MPL
Group:		Development/Other
URL:		http://www.mozilla.org/js/
Source0:	http://ftp.mozilla.org/pub/mozilla.org/js/%{name}%{short_version}-%{mozilla_version}.tar.gz
Patch0:		js-1.8.5-fix-destdir.patch
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	edit-devel
BuildRequires:	nspr-devel
BuildRequires:	python
BuildRequires:	zip
BuildRequires:	readline-devel
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Epoch:		1

%description
JavaScript is the Netscape-developed object scripting languages. This
package has been created for purposes of Sablotron and is suitable for 
embedding in applications. See http://www.mozilla.org/js for details 
and sources.

%package -n	%{libname}
Summary:	JavaScript engine library
Group:		System/Libraries
Epoch:		%{epoch}

%description -n	%{libname}
JavaScript is the Netscape-developed object scripting languages. This
package has been created for purposes of Sablotron and is suitable for 
embedding in applications. See http://www.mozilla.org/js for details 
and sources.

%package -n	%{develname}
Summary:	The header files for %{libname}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libjs-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname -d js 1}
Requires:	nspr-devel
Epoch:		%{epoch}

%description -n	%{develname}
These are the header files for development with SpiderMonkey.

%prep
%setup -q -n %{name}-%{real_version}/js/src
%patch0 -p3 -b .destdir~

%build
# MOZILLA_VERSION is needed to get Version field in pkgconfig files
export MOZILLA_VERSION=%{real_version}
%configure2_5x \
	--enable-readline \
	--enable-threadsafe \
	--enable-ctypes \
	--with-system-nspr
%make

%install
rm -rf %{buildroot}

%makeinstall_std
%multiarch_includes %{buildroot}%{_includedir}/js/jsautocfg.h

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%doc README.html
%{_libdir}/lib%{oname}%{short_version}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/js
%multiarch %{multiarch_includedir}/js/jsautocfg.h
%{_includedir}/js/*
%{_libdir}/lib%{oname}%{short_version}-%{major}.a
%{_libdir}/lib%{oname}%{short_version}.so
%{_libdir}/pkgconfig/%{oname}%{short_version}.pc


%changelog

* Tue Apr 17 2012 blino <blino> 1:1.85-3.mga2
+ Revision: 231142
- use 1.8.5 as Version in pkgconfig file since this is what libproxy expects

* Wed Dec 21 2011 blino <blino> 1:1.85-2.mga2
+ Revision: 185167
- fix Version in pkgconfig file (and thus get pkgconfig auto-provides in devel package)

* Tue Dec 20 2011 wally <wally> 1:1.85-1.mga2
+ Revision: 184985
- BR readline-devel
- BR zip
- fix lib major

  + tv <tv>
    - new release
    - use %%configure2_5x, %%make && %%makeinstall_std
    - BR python
    - fix summary
    - sync patches with mdv
    - use major in file list
    - library name has changed

* Fri Jan 21 2011 dmorgan <dmorgan> 1:1.70-7.mga1
+ Revision: 29789
- Remove mdv macros
- imported package js


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-7mdv2011.0
+ Revision: 606113
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-6mdv2010.1
+ Revision: 519013
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.70-5mdv2010.0
+ Revision: 425472
- rebuild

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-4mdv2009.1
+ Revision: 316955
- fix build with -Werror=format-security (P7)
- use %%{ldflags} and fix linkage
- link against libedit and not editline

* Tue Jun 24 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-3mdv2009.0
+ Revision: 228617
- fix the exceptions to work on 64bit too

* Tue Jun 24 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-2mdv2009.0
+ Revision: 228590
- rule out some borked auto deps

* Tue Jun 24 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.70-1mdv2009.0
+ Revision: 228540
- 1.70
- sync with fedora

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1:1.5-6mdv2009.0
+ Revision: 221762
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 1:1.5-5mdv2008.1
+ Revision: 161913
- fix devel provides and obsoletes

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1:1.5-4mdv2008.1
+ Revision: 150422
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.5-3mdv2008.0
+ Revision: 73850
- bump release
- 1.5
- rediffed patches
- build it against system editline libs
- have to use -fno-stack-protector, otherwise it won't build


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 18:04:13 (63395)
- bunzip patches

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 17:59:17 (63394)
- Import js

* Fri Sep 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.5-0.rc5a.10mdv2007.0
- add pkgconfig file

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5-0.rc5a.9mdk
- rebuild

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.8mdk
- fix deps and conditional %%multiarch

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.7mdk
- revert latest "lib64 fixes"

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.6mdk
- lib64 fixes

* Mon Nov 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.5mdk
- relocate the headers as many dev moz packages seems to conflict
- nuke redundant provides

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5-0.rc5a.4mdk
- fix fork off mozilla/js, our system knows about ISO C va_copy() macro

* Sun Jun 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.5-0.rc5a.3mdk
- fix ppc build

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.2mdk
- third try... (duh!)

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.1mdk
- second try...

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5a.1mdk
- 1.5-0.rc5a

* Mon Jun 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-0.rc5.6mdk
- rebuilt with gcc v3.4.x

